html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}
@font-face {
 font-family: 'Myfont';
 src: url('Myfont-Regular.ttf') format("truetype");
}
body {
  font-family: "Devant P", sans-serif;
  margin: 0px;
  padding: 0px;
  width: 100%;
  box-sizing: border-box;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Myfont, sans-serif;
}
/*
NAVIGATION
*/
.center nav {
  margin: 5px;
  position: sticky;
  z-index: 1000;
  top: 0;
  background-color:rgba(255, 255, 255, 0.4);
}
.center ul{
  margin: 0px;
  padding: 5px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content:space-evenly;
  align-items: flex-start;
  list-style: none;
  gap: 5%;

}
@media screen and (max-width: 520px) {
  .center ul {
    flex-direction: column;
  }
}

.center li {
  padding-top: 0;

  padding-left: 1.5rem;
}
.center li a {
  font-weight: bold;
  color: black;
  font-family: Myfont, sans-serif;
  font-size: 0.8em;
  /*text-shadow: 1px 1px 1px;*/


}
.center li a:hover, a:active{
  font-weight: bolder;
  color: hotpink;
}
.center a{
  text-decoration: none;
  color: black;
  font-family: Myfont, sans-serif;
}

.center a:hover, a:active{
  font-weight: bolder;
  color: hotpink;
}

.logo header{
  margin-bottom: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}
/*
RESET
 */

 :root {
  --body-leading: 1.6;
  --container-padding: 1.5em;
  --container-width: 1260px;
}

* {
  &,
  &::before,
  &::after {
    box-sizing: border-box;
  }
}

body {
  margin: 0;
  font: 1em/var(--body-leading) sans-serif;
}

img {
  max-width: 100%;
  vertical-align: middle;
  height: auto;
}

.page-container {
  padding: var(--container-padding);
  max-width: var(--container-width);
  margin-right: auto;
  margin-left: auto;
}
/*
GALLERIE CONTAINER
 */

 :root {
  --gallery-gap: 1.5em;
  --gallery-item-border-radius: .1em;
  --gallery-items-per-row: 1;
  --gallery-item-height: 250px;
}

.img-gallery {
  display: flex;
  flex-wrap: wrap;
  gap: var(--gallery-gap);
  margin-left:1.5rem;
  margin-right: 1.5rem;
  margin-bottom: 1.5rem;
  margin-top: 0rem;
}
.img-gallery__item {
  img {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    border-radius: var(--gallery-item-border-radius);
  }
}
.img-gallery__item {
  position: relative;
  overflow: hidden;
  border-radius: var(--gallery-item-border-radius);
  flex: 0 0
    calc(
      100% / var(--gallery-items-per-row) - var(--gallery-gap) *
        (var(--gallery-items-per-row) - 1) / var(--gallery-items-per-row)
    );
  figure { margin: 0 }

  figcaption {
      margin-top: .5rem;
      font-family: Myfont, sans-serif;
      font-weight: bold;
      position: absolute;
      inset: auto auto 0 0;
      height: 100%;
      padding: 1rem;
  }
}
.galleryText {
  text-align: center;
  font-family: Myfont, sans-serif;
  font-size: 0.8em;

}
.galleryText p {
  text-align: center;
  font-family: Myfont, sans-serif;
  line-height: 1.5em;
  font-size:0.7em;

  flex-shrink: var(--gallery-item-height);

}
.img-gallery__item figcaption {
  position: absolute;
  inset: auto auto 0 0;
  height: 100%;
  padding: 1rem;
}
.img-gallery::after{
  content: "";
  flex-grow:999;
}

.img-gallery__item #bookcover img {
  width: 50%;
  height: auto;
  aspect-ratio: 2/3;
}
/*
GALLERIE RESPONSE - @media
 */

@media only screen and (width >= 1200px) {
  .img-gallery {
    --gallery-items-per-row: 4;
  }
}
@media only screen and (800px < width < 1200px) {
  .img-gallery {
    --gallery-items-per-row: 3;
  }
}
@media only screen and (540px < width < 800px) {
  .img-gallery {
    --gallery-items-per-row: 2;
  }
}
/*
CAPTIONS
*/
:root {
  --gallery-caption-bg-color: hsl(0 0% 0% / 90%);
  --gallery-caption-text-color: white;
}
.img-gallery__item {
  position: relative;
  overflow: hidden;
  border-radius: var(--gallery-item-border-radius);
  --gallery-caption-font-size: 1.5em;

  figcaption {
    font-size: clamp(0.2em, var(--gallery-caption-font-size), 0.6em);
    position: absolute;
    inset: auto auto 0 0;
    width: 100%;
    padding: 0.5rem;
    background-color: var(--gallery-caption-bg-color);
    color: var(--gallery-caption-text-color);
    opacity: 0;
    transition: opacity .25s ease-in-out;
  }

  &:hover {
    figcaption {
      opacity: 1;
    }
  }

}

/*
HEADER
 */

 #logoCenter {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 0.5em;
  color:dimgray;
}

#logoCenter img{
  position: sticky;

}
#gformt {
  background-image: url("img/gformt/DSC03459.JPG");
  background-size: 100% auto;
  background-position: bottom;
  background-repeat: no-repeat;
}
/*
FOOTER für alle Seiten
 */



footer {

  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: center;
  text-align: center;
  background-color: rgba(255, 255, 255, 0);
  color: black;


}

footer ul {
  list-style: none;
  margin: 0px;
  padding:5px;
}

.sub nav {
  justify-content: center;
  text-align: center;
}

.logo footer{
  margin-bottom: 5px;
}
footer a{
  text-decoration: none;
  color: black;
  text-align: center;
  font-size: 0.8em;
}
footer a:hover, a:active {
  font-weight: bolder;
  color: hotpink;
}

footer p {
  font-size: 0.5em;
}

footer li {
  font-size: smaller;
}

/*
ABOUT
 */

#aboutHeader {

  padding: 0.25rem;
  margin: 0;
  width: 100%;
  align-items: center;
  text-align: center;

}

#aboutMain {

  background: url("/img/about/Skizzenbuch_freigestellt.png") no-repeat;
  background-size: auto 80%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap-reverse;
  padding: 1.5rem;
  margin: 0;

}
#aboutMain article {

  margin: 0;
  padding: 1.5rem;
  display: flex;
  flex-direction: column;

}

#aboutMain aside {

  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  padding: 1.5rem;
  margin: 0;
}
#aboutMain aside ul {
  list-style: none;
  margin: 0;
  padding: 0.5rem;

}
#aboutMain aside li {
  padding: 0.5rem;
  font-size: 0.8em;


}
#aboutMain aside a {
  text-decoration: none;
  color: black;
  font-weight: bold;
}
#aboutMain aside #leftList {
  border-right: 1px solid black;
  text-align: right;

}

#aboutMain article {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  margin: 0;
}

#aboutMain article section {

  display: flex;
  flex-direction: row;
  flex-wrap: wrap-reverse;
  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  margin: 0;
}
#aboutText {

}

#aboutText p {
  font-weight: bold;
  text-align: right;
  font-size: 0.8em;
  padding: 1.5rem;
  margin: 0;
  border: 1px solid black;
  shadow: 3px 5px 2px;
  background-color: rgb(255, 255, 255, 0.8);

}
#exhibitions {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  margin: 0;
  background-color: rgba(255, 105, 180, 0.75);
}

#aboutPortrait {

  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  margin: 0;

}


#aboutPortrait figcaption {
  font-size: 0.8em;
  font-weight: bold;
  text-align: center;
  padding: 0.5rem;
  margin: 0;

}
.werkVerzeichnis table {
  border-collapse: collapse;
}
.werkVerzeichnis table td {
  padding: 0;
  font-size: 0.6em;
}

.werkVerzeichnis table td.left {
  padding: 0.5rem;
  margin: 0;
  border: none;
  text-align: right;
  font-size: 0.8em;
  font-weight: bold;
  background-color: rgba(255, 105, 180, 0);
  border-right: 1px solid #000;
}

@media only screen and (width >= 1200px) {
  #aboutMain {
    display: flex;
    hight: 80vh;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
  }
  #aboutMain article {
    flex: 2;
    flex-direction: column;
  }
  #aboutMain article section {
    flex-direction: row;
    div {
      flex: 1;
    }
    figure {
      flex: 1;
    }

  }

  #aboutMain aside {
    flex: 1;
  }
}
@media only screen and (800px < width < 1200px) {
 background: url("/img/about/Skizzenbuch_freigestellt.png") no-repeat;
  background-size: auto 100vh;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap-reverse;
  padding: 1.5rem;
  margin: 0;
}
@media only screen and (max-width: 800px) {
#aboutMain {background-size: 95vw auto;}
}

/*
CAROUSEL
 */
.carousel-container {
  --current-index: 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  width: 100%;
  max-width: 1000px;
  height: 60vh;
}

.carousel {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.5s ease-in-out;
  transform: translateX(calc(-33.33% * var(--current-index)));
  width: 300%; /* 3 Bilder werden nebeneinander dargestellt */
}

.carousel div {
  width: 33.33%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel div .carousel-image.active {
  width: 100%;
}

.carousel-image {
  width: 80%; /* Inaktive Bilder sind kleiner */
  height: 40vh; /* Inaktive Bilder sind kleiner */
  object-fit: cover;
  opacity: 0.3;
  transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out, width 0.5s ease-in-out;
}

.carousel-image.active {
  opacity: 1;
  width: 100%; /* Das aktive Bild nimmt die volle Breite ein */
  height: 50vh; /* Das aktive Bild nimmt die volle Höhe ein */
}

.button-left, .button-right {
  position: absolute;
  top: 50%;
  font-size: 2em;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  border: none;
  z-index: 100;
  cursor: pointer;
  transform: translateY(-50%);
}

.button-left {
  left: 10px;
}

.button-right {
  right: 10px;
}
